ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToCmm.Sequel

Synopsis

- data Sequel
  - = Return
  - | AssignTo [LocalReg] Bool
- type SelfLoopInfo = (Id, BlockId, [LocalReg])

# Documentation

data Sequel Source #

A Sequel tells what to do with the result of this expression

Constructors

Return | Return result(s) to continuation found on the stack.
AssignTo |

Fields

- [LocalReg]

  Put result(s) in these regs and fall through NB: no void arguments here

- Bool

  Should we adjust the heap pointer back to recover space that's unused on this path? We need to do this only if the expression may allocate (e.g. it's a foreign call or allocating primOp)

#### Instances

Instances details

Outputable Sequel Source # |
Instance details Defined in GHC.StgToCmm.Sequel Methods ppr :: Sequel -> SDoc Source #

type SelfLoopInfo = (Id, BlockId, [LocalReg]) Source #